Skip to content
English

List of domains

GET/v1/domains

Custom domains and a shared domain are available to create a personal address.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/domains' \
-H 'Authorization: Bearer <access_token>'

Parameters

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

array

Array elements

object

id

integer

account_id
Option 1

integer

Option 2

null

name

string

status

string

is_shared

boolean

verification_token

string

dns_status

object

created_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

updated_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object